Package org.globus.ftp.dc

# Class GridFTPTransferSourceThread

java.lang.Object
java.lang.Thread
org.globus.ftp.dc.TransferThread
org.globus.ftp.dc.TransferSourceThread
org.globus.ftp.dc.GridFTPTransferSourceThread

All Implemented Interfaces:
  `Runnable`

public class GridFTPTransferSourceThread extends TransferSourceThread

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected EBlockParallelTransferContext`
`eContext`
`protected static org.apache.commons.logging.Log`
`logger`

### Fields inherited from class org.globus.ftp.dc.TransferSourceThread

`context, localControlChannel, socketBox, source, writer`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`GridFTPTransferSourceThread(AbstractDataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, EBlockParallelTransferContext context)`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`shutdown()`
`protected void`
`startup()`

### Methods inherited from class org.globus.ftp.dc.TransferSourceThread

`run`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### logger

protected static org.apache.commons.logging.Log logger

### eContext

protected EBlockParallelTransferContext eContext

## Constructor Details

### GridFTPTransferSourceThread

public GridFTPTransferSourceThread(AbstractDataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, EBlockParallelTransferContext context) throws Exception

Throws:
  `Exception`

## Method Details

### startup

protected void startup()

Overrides:
  `startup` in class `TransferSourceThread`

### shutdown

protected Object shutdown() throws IOException

Overrides:
  `shutdown` in class `TransferSourceThread`
Throws:
  `IOException`